# m_javaloader.h File Reference

## Detailed Description

Mode class for the JavaLoader mode.

Definition in file m_javaloader.h.

`#include "dll.h"`
`#include "m_mode_base.h"`
`#include "socket.h"`
`#include "record.h"`
`#include "data.h"`
`#include "pin.h"`

Include dependency graph for m_javaloader.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry
namespace | Barry::Mode

## Classes

class | Barry::JLDirectory
class | Barry::JLDirectoryEntry
class | Barry::JLScreenInfo
class | Barry::JLEventlog
class | Barry::JLEventlogEntry
class | Barry::JLDeviceInfo
struct | Barry::JLDeviceInfo::VersionQuad
class | Barry::Mode::JavaLoader
| The main interface class to the java program loader protocol. More...